/*
 * TableProperties.java
 *
 * Created on November 3, 2007, 10:03 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package org.leedberg.cotiro.gui;

import java.util.Iterator;
import java.util.Properties;
import java.util.Set;

/**
 *
 * @author Greg
 */
public class TableProperties extends Properties{
    
    /** Creates a new instance of TableProperties */
    public TableProperties() {
        super();
    }
    
    public void loadFromString(String props) {
        String[] pArr = props.split(";");
        System.err.println("loadFromString: " + props);
        for (String s : pArr) { 
            System.err.println("string: " + s);
            String[] nv = s.split("=");
            
            this.setProperty(nv[0], nv[1]);
        }
    }
    
    public static boolean isValid(String props) {
        // returns true if this seems to be a valid properties string we can parse
        if (props == null) {
            // we can't parse null strings
            return false;
        } else if (props.indexOf("=") <= 0) {
            // If it's a string but doesn't even contain one "=", it's not valid
            return false;
        } else if (props.split("=").length != props.split(";").length + 1) {
            // ensures the correct ratio of ='s and ;'s
            return false;
        } else {
            return true;
        }
        
        
    }
    
    public String toString() {
        String retVal = "";
        Set keys = this.keySet();
        
        Iterator i = keys.iterator();
        
        while (i.hasNext()) {
            String prop = (String)i.next();
            
            String val = (String)this.getProperty(prop);
            
            retVal = prop + "=" + val + ";";
        }
        if (retVal.length() > 0) retVal = retVal.substring(0, retVal.length()-1);
        return retVal;
    }
    
}
